# std::unique_lock::operator=

From cppreference.com
< cpp‎ | thread‎ | unique lock

unique_lock& operator=( unique_lock&& other ); |  | (since C++11)

Move assignment operator. Replaces the contents with those of `other` using move semantics.

If prior to the call *this has an associated mutex and has acquired ownership of it, the mutex is unlocked.

### Parameters

other | - | another `unique_lock` to replace the state with

### Return value

*this

### Exceptions

`noexcept` specification: noexcept | (until C++14)
Throws nothing | (since C++14)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/thread/unique_lock/operator%3D&oldid=91557"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template